<?php if (!defined('ABSPATH')) exit(); ?>

<div class="wrap">
    <h2><?php _e('自动上传图片设置', 'auto-upload-images'); ?></h2>

    <?php if (isset($message)) : ?>
    <div id="setting-error-settings_updated" class="updated settings-error">
        <p><strong><?php echo $message; ?></strong></p>
    </div>
    <?php endif; ?>

    <div id="poststuff">
        <div id="post-body" class="metabox-holder columns-2">
            <div id="post-body-content" style="position: relative">
                <div class="stuffbox" style="padding: 0 20px">
                    <form method="POST">
                        <table class="form-table">
                            <tr valign="top">
                                <th scope="row">
                                    <label for="base_url">
                                        <?php _e('升级网址：', 'auto-upload-images'); ?>
                                    </label>
                                </th>
                                <td>
                                    <input type="text" name="base_url" value="<?php echo self::getOption('base_url'); ?>" class="regular-text" dir="ltr" />
                                    <p class="description"><?php _e('如果您需要为将自动上传的图片选择新的基准网址。 例如：', 'auto-upload-images'); ?> <code>https://irani.im</code>, <code>https://cdn.irani.im</code>, <code>/</code></p>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">
                                    <label for="image_name">
                                        <?php _e('图片名称：', 'auto-upload-images'); ?>
                                    </label>
                                </th>
                                <td>
                                    <input type="text" name="image_name" value="<?php echo self::getOption('image_name'); ?>" class="regular-text" dir="ltr" />
                                    <p class="description">
                                        <?php printf(__('选择要上传的新图片的自定义文件名。 您也可以使用这些短代码 %s。', 'auto-upload-images'), '<code dir="ltr">%filename%</code>, <code dir="ltr">%image_alt%</code>, <code dir="ltr">%url%</code>, <code dir="ltr">%date%</code>, <code dir="ltr">%year%</code>, <code dir="ltr">%month%</code>, <code dir="ltr">%day%</code>, <code dir="ltr">%random%</code>, <code dir="ltr">%timestamp%</code>, <code dir="ltr">%postname%</code>, <code dir="ltr">%post_id%</code>') ?>
                                    </p>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">
                                    <label for="alt_name">
                                        <?php _e('Alt 名称：', 'auto-upload-images'); ?>
                                    </label>
                                </th>
                                <td>
                                    <input type="text" name="alt_name" value="<?php echo self::getOption('alt_name'); ?>" class="regular-text" dir="ltr" />
                                    <p class="description">
                                        <?php printf(__('选择要上传的新图片的自定义替代名称。 您也可以使用这些短代码 %s。', 'auto-upload-images'), '<code dir="ltr">%filename%</code>, <code dir="ltr">%image_alt%</code>, <code dir="ltr">%url%</code>, <code dir="ltr">%date%</code>, <code dir="ltr">%year%</code>, <code dir="ltr">%month%</code>, <code dir="ltr">%day%</code>, <code dir="ltr">%random%</code>, <code dir="ltr">%timestamp%</code>, <code dir="ltr">%postname%</code>, <code dir="ltr">%post_id%</code>') ?>
                                    </p>
                                </td>
                            </tr>
                            <?php if (function_exists('image_make_intermediate_size')) : ?>
                                <?php $editor_supports = gc_image_editor_supports(); ?>
                                <tr valign="top" <?= !$editor_supports ? 'style="background-color:#dedede;color:#6d6d6d;opacity:.8;"' : '' ?>>
                                    <th scope="row">
                                        <label <?= !$editor_supports ? 'style="color:#6d6d6d;"' : '' ?>><?php _e('图像大小：', 'auto-upload-images'); ?></label>
                                        <?php if (!$editor_supports) : ?>
                                        <small style="color:#6d6d6d;"><?php _e( '(未激活)', 'auto-upload-images') ?></small>
                                        <?php endif; ?>
                                    </th>
                                    <td>
                                        <label for="max_width"><?php _e('最大宽度', 'auto-upload-images'); ?></label>
                                        <input name="max_width" type="number" step="5" min="0" id="max_width" placeholder="600" class="small-text" value="<?php echo self::getOption('max_width'); ?>" <?php echo !$editor_supports ? 'disabled' : '' ?>>
                                        <label for="max_height"><?php _e('最大高度', 'auto-upload-images'); ?></label>
                                        <input name="max_height" type="number" step="5" min="0" id="max_height" placeholder="400" class="small-text" value="<?php echo self::getOption('max_height'); ?>" <?php echo !$editor_supports ? 'disabled' : '' ?>>
                                        <p class="description"><?php _e('您可以为网站上的此插件上传的图片选择最大宽度和高度。 如果默认情况下保留空的每个字段使用图像的原始大小。', 'auto-upload-images'); ?></p>
                                        <?php if (!$editor_supports) : ?>
                                        <p style="color:#535353;font-weight: bold;"><?php _e('要激活此功能，请启用 PHP 的 Gd 或 Imagick 扩展。', 'auto-upload-images') ?></p>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endif; ?>
                            <tr valign="top">
                                <th scope="row">
                                    <label for="exclude_post_types">
                                        <?php _e('排除文章类型：', 'auto-upload-images'); ?>
                                    </label>
                                </th>
                                <td>
                                    <p>
                                        <?php $excludePostTypes = self::getOption('exclude_post_types'); ?>
                                        <?php foreach (get_post_types() as $post_type): ?>
                                            <label>
                                                <input type="checkbox" name="exclude_post_types[]" value="<?php echo $post_type ?>" <?php echo is_array($excludePostTypes) && in_array($post_type, $excludePostTypes, true) ? 'checked' : ''; ?>> <?php echo $post_type ?>
                                                <br>
                                            </label>
                                        <?php endforeach; ?>
                                    </p>
                                    <p class="description"><?php _e('选择您想从自动上传排除文章类型', 'auto-upload-images'); ?></p>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">
                                    <label for="exclude_urls">
                                        <?php _e('排除域名：', 'auto-upload-images'); ?>
                                    </label>
                                </th>
                                <td>
                                    <p><?php _e('输入您希望从上传图片中排除的网域：（每行一个网域）', 'auto-upload-images'); ?></p>
                                    <p><textarea name="exclude_urls" rows="10" cols="50" id="exclude_urls" class="large-text code" placeholder="https://irani.im"><?php echo self::getOption('exclude_urls'); ?></textarea></p>
                                </td>
                            </tr>
                        </table>
                        <p class="submit">
                            <?php submit_button(null, 'primary', 'submit', false); ?>
                            <?php submit_button(__('重置选项', 'auto-upload-images'), 'small', 'reset', false, array(
                                'onclick' => 'return confirm("'. __('是否确实将所有选项重置为默认值？', 'auto-upload-images') .'");'
                            )) ?>
                        </p>
                    </form>
                </div>
            </div>
            <div id="postbox-container-1" class="postbox-container">
                <div class="postbox">
                    <h2 class="hndle ui-sortable-handle"><strong><?php _e( '信息', 'auto-upload-images'); ?></strong></h2>
                    <div class="inside">
                        <div class="main">
                            <ul>
                                <li class="dashicons-before dashicons-heart" style="color: #82878c">
                                    <a href="https://irani.im/gc-auto-upload-images.html#donate" title="Support & Donate" style="text-decoration: none" target="_blank"><?php _e('支持并捐赠给插件', 'auto-upload-images'); ?></a>
                                </li>
                                <li class="dashicons-before dashicons-flag" style="color: #82878c">
                                    <a href="https://github.com/airani/gc-auto-upload/issues/new" style="text-decoration: none" target="_blank"><?php _e('报告错误和问题', 'auto-upload-images'); ?></a>
                                </li>
                                <li class="dashicons-before dashicons-admin-plugins" style="color: #82878c">
                                    <a href="https://github.com/airani/gc-auto-upload" style="text-decoration: none" target="_blank"><?php _e('Github存储库', 'auto-upload-images'); ?></a>
                                </li>
                                <li class="dashicons-before dashicons-gechiui" style="color: #82878c">
                                    <a href="https://www.gechiui.com/plugins/auto-upload-images/" style="text-decoration: none" target="_blank"><?php _e('GC中的插件页面', 'auto-upload-images'); ?></a>
                                </li>
                                <li class="dashicons-before dashicons-star-filled" style="color: #82878c">
                                    <a href=https://www.gechiui.com/support/plugin/auto-upload-images/reviews/?rate=5#new-post" style="text-decoration: none" target="_blank">
                                        <?php _e('评价此插件', 'auto-upload-images'); ?>
                                    </a>
                                </li>
                                <li class="dashicons-before dashicons-admin-links" style="color: #82878c">
                                    <a href="https://irani.im/gc-auto-upload-images.html" style="text-decoration: none" target="_blank"><?php _e('官方页面', 'auto-upload-images'); ?></a>
                                </li>
                            </ul>
                            <hr>
                            <p><i class="dashicons-before dashicons-heart" style="color: #de0000"></i> <?php _e('如果您想帮助插件开发，并且如果可以这样做，请向该项目捐款并鼓励其他人这样做，以获取更多更新和更多功能。', 'auto-upload-images'); ?> <a href="https://irani.im/gc-auto-upload-images.html#donate" title="Support & Donate" target="_blank"><?php _e('捐款', 'auto-upload-images') ?></a></p>
                            <hr>
                            <p><?php _e('如果您是gc开发人员并且喜欢为此插件开发做出贡献，或者您是翻译人员并希望以您的语言使用此插件，则可以从 <a href=\"https://github.com/airani/gc-auto-upload\" target=\"_blank\">插件Github存储库</a>开始。', 'auto-upload-images') ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br class="clear">
    </div>
</div>
